lxqt-qtplugin_0.14.0-3_i386.deb


Advertisement

Description

lxqt-qtplugin - LXQt system integration plugin for Qt

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename lxqt-qtplugin_0.14.0-3_i386.deb
Package name lxqt-qtplugin
Package version 0.14.0
Package release 3
Package architecture i386
Package type deb
Category uitoolkit::qt x11
Homepage https://github.com/lxqt/lxqt-qtplugin
License -
Maintainer LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Download size 39.32 KB
Installed size 144.00 KB
With this plugin, all Qt-based programs can adopt settings of
LXQt, such as the icon theme.
This package provides the LXQt qtplugin interface.

Alternatives

Package Version Architecture Repository
lxqt-qtplugin_0.14.0-3_amd64.deb 0.14.0 amd64 Debian Main
lxqt-qtplugin - - -

Requires

Name Value
libc6 >= 2.4
libdbusmenu-qt5-2 >= 0.3.2
libqt5core5a >= 5.11.0~rc1
libqt5dbus5 >= 5.0.2
libqt5gui5 >= 5.10.0
libqt5widgets5 >= 5.0.2
libqt5xdgiconloader3 >= 3.3.1~
libstdc++6 >= 5
qtbase-abi-5-11-3 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package lxqt-qtplugin_0.14.0-3_i386.deb
Source Package lxqt-qtplugin

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lxqt-qtplugin deb package:
    # sudo apt-get install lxqt-qtplugin

Files

Path
/usr/lib/i386-linux-gnu/qt5/plugins/platformthemes/libqtlxqt.so
/usr/share/doc/lxqt-qtplugin/AUTHORS
/usr/share/doc/lxqt-qtplugin/README.md
/usr/share/doc/lxqt-qtplugin/changelog.Debian.gz
/usr/share/doc/lxqt-qtplugin/changelog.gz
/usr/share/doc/lxqt-qtplugin/copyright

Changelog

2019-04-24 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.14.0-3) unstable; urgency=medium
* Try to load the versioned libfm-qt.so.6 instead of libfm-qt.so
(Closes: #927905) 
2019-03-13 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.14.0-2) unstable; urgency=medium
* Added missed direct dependency libqt5xdgiconloader-dev, the new
build-tools don't depend on it any longer to prevent circular
dependencies with libqtxdg (Closes: #924474).
2019-01-27 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.14.0-1) unstable; urgency=medium
* Cherry-picking upstream release 0.14.0.
* Bumped Standards to 4.3.0, no changes needed
* Dropped d/compat, use debhelper-compat = 12, no changes needed
* Fixed years in d/copyright
* Bumped minimum version liblxqt0-dev (>= 0.14.0~)
* Removed build dependency libfm-qt-dev
* Recommend libfm-qt6
* Added d/upstream/metadata
2018-07-07 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.13.0-2) unstable; urgency=medium
* Switched to unstable
* Bumped build dependency libfm-qt-dev to >= 0.13.1~
* Bumped Standards to 4.1.5, no changes needed
2018-05-26 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.13.0-1) experimental; urgency=medium
* Cherry-picking upstream release 0.13.0.
* Switched to experimental
* Bumped build dependency libfm-qt-dev to >= 0.13.0~
* Bumped build dependency lxqt-build-tools to >= 0.5.0~
* Removed the ported back upstream patches
2018-04-28 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.12.0-7) unstable; urgency=medium
* Relax debhelper minimum version to >= 11~
* Bumped Standard to 4.1.4, no changes needed
* Fixde glitches in VCS fields
* Changed Homepage, Source and watch for lxqt
2018-02-14 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.12.0-6) unstable; urgency=medium
* Backported lxqtplatformtheme-follow-color-scheme.patch
* Fixed wrong group in VCS fields
* Removed some trailing whitespaces from d/changelog
2018-02-12 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.12.0-5) unstable; urgency=medium
* Backported colorize-at-start patch
* Bumped debhelper to >= 11
* Bumped Standards to 4.1.3, no changes needed
* Changed VCS fields for salsa
* Bumped compat to 11
* Bumped years in copyright
2017-12-14 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.12.0-4) unstable; urgency=medium
* Bumped Standards to 4.1.2, no changes needed
* Removed branch from VCS fields
* Removed debian/gbp.conf
2017-12-05 - Alf Gaida <agaida@siduction.org>
lxqt-qtplugin (0.12.0-3) unstable; urgency=medium
* Transition to unstable

See Also

Package Description
lxqt-runner-l10n_0.14.1-1_all.deb Language package for lxqt-runner
lxqt-runner_0.14.1-1_i386.deb LXQt program launcher
lxqt-session-l10n_0.14.1-2_all.deb Language package for lxqt-session
lxqt-session_0.14.1-2_i386.deb session manager component for LXQt
lxqt-sudo-l10n_0.14.1-2_all.deb Language package for lxqt-sudo
lxqt-sudo_0.14.1-2_i386.deb Graphical QT frontend for plain sudo
lxqt-system-theme_0.14.0-1_all.deb System theme for LXQt
lxqt-theme-debian_0.14.0.3_all.deb Debian theme for LXQt
lxqt-themes_0.14.0-1_all.deb Themes for LXQt
lxqt_29_i386.deb Metapackage for LXQt
lxrandr_0.3.2-1_i386.deb LXDE monitor configuration tool
lxsession-data_0.5.4-1_all.deb Common files for lxsession
lxsession-default-apps_0.5.4-1_i386.deb utility to configure lxsession and its default applications
lxsession-edit_0.5.4-1_i386.deb configure what application start up automatically in LXDE
lxsession-logout_0.5.4-1_i386.deb utility to logout from a LXDE or an Openbox session
Advertisement
Advertisement